Qt 5.9 | Qt 3D | C++ Classes | GLTFExporter

Qt 5.9.9 Reference Documentation

# GLTFExporter Class

(Qt3DRender::GLTFExporter)

- List of all members, including inherited members

## Public Types

class | GltfOptions

## Public Functions

| GLTFExporter()
| ~GLTFExporter()
bool | exportScene(Qt3DCore::QEntity *sceneRoot, const QString &outDir, const QString &exportName, const QVariantHash &options)

## Member Function Documentation

### GLTFExporter::GLTFExporter()

Default constructs an instance of GLTFExporter.

### GLTFExporter::~GLTFExporter()

Destroys the instance of GLTFExporter.

### bool GLTFExporter::exportScene(Qt3DCore::QEntity *sceneRoot, const QString &outDir, const QString &exportName, const QVariantHash &options)